@charset "utf-8";


#blog{margin: 0 auto; padding: 100px 0;}


#blog .lists{margin: 0 auto;}
#blog .lists>ul{margin: 0 auto;}
#blog .lists>ul>li{ position: relative; z-index: 10; display: block; margin-bottom: 3%; padding-bottom: 50px; border-bottom: 1px solid #eee; overflow: hidden; box-sizing: border-box; transition: all .35s;}
#blog .lists>ul>li a{display: block; position: relative; text-align: left;}
#blog .lists>ul>li a:before, #blog .lists>ul>li a:after { content: ""; display: table; }
#blog .lists>ul>li a:after { clear: both; }
#blog .lists>ul>li a { zoom: 1; }
#blog .lists>ul>li a>.img{overflow: hidden; width: 40%; float: left;border-radius: 20px; position: relative;}
#blog .lists>ul>li a>.img:after{ position: absolute;z-index: 10;  left: 50%;top: 50%; font-size: 4rem; border-radius: 100%; color: #fff; background: rgba(136,207,255,.8); padding: 12px; transform: translate(-50%,-50%); opacity: 0; font-family: iconfont; content: '\e611';transition: all .35s;}
#blog .lists>ul>li a>.img:before{position: absolute;z-index: 1; left: 0;top: 0; width: 100%;height: 100%;  background: rgba(0,0,0,.16);opacity: 0; content: ''; transition: all .35s;}
#blog .lists>ul>li a>.img>img{ width: 100%;height: auto; transition: all 1s;}
#blog .lists>ul>li a>.box{ width: 60%; float: right; position: relative; z-index: 10; box-sizing: border-box; padding: 50px 0 0 100px; overflow: hidden;transition: all .35s;}
#blog .lists>ul>li a>.box>.time{ position: relative;z-index: 10; font-size: 1.4rem; color: #88cfff;}
#blog .lists>ul>li a>.box>.title{ margin: 10px auto; position: relative; font-size: 3rem; font-weight: bold; line-height:3.6rem; display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 2;overflow: hidden; color: #000;  transition: all .35s;}
#blog .lists>ul>li a>.box>.text{ margin-top: 10px; position: relative; font-size: 1.4rem; line-height: 2rem; color: #999; display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 3;overflow: hidden; transition: all .35s;}
#blog .lists>ul>li a>.box>.more{padding-top: 40px;}
#blog .lists>ul>li a>.box>.more>p{ position: relative; display: inline-block; font-size: 1.6rem; color: #333; padding: 10px 15px; border-bottom: 2px solid #333; transition: all .35s;}
#blog .lists>ul>li a>.box>.more>p>i{position: relative;z-index: 10; display: inline-block;vertical-align: middle; font-weight: bold;font-size: 2rem;}
#blog .lists>ul>li a>.box>.more>p>span{position: relative;z-index: 10; display: inline-block; font-weight: bold;  text-transform: uppercase; margin-right: 8px;vertical-align: middle;}
#blog .lists>ul>li a:hover .box>.more>p{color: #88cfff; border-color: #88cfff;}
#blog .lists>ul>li a:hover .img>img{transform: scale(1.05);}
#blog .lists>ul>li a:hover .img:after{  font-size: 3rem;opacity: 1;}
#blog .lists>ul>li a:hover .img:before{ opacity: 1;}



#blog .view{margin: 0 auto;}
#blog .view .details{ margin: 0 auto;}
#blog .view .details>.title{ text-align: center; font-size: 4rem; font-weight: bold; line-height: 4.6rem; color: #333;}
#blog .view .details>.summary{  display: flex;align-content: center; align-items: center; justify-content: center; border-bottom: 1px solid #ddd;padding: 30px 0;}
#blog .view .details>.summary>div{ display: inline-flex; align-content: center; align-items: center; margin:0 20px; font-size: 1.6rem; color: #999;}
#blog .view .details>.summary>div>i{display: inline-block;margin-right: 6px;font-size: 2.4rem; color: #88cfff;}
#blog .view .details>.social{ align-items: center; align-content: center;}
#blog .view .details>.social a{ width: 24px; height: 24px; line-height: 24px; font-size: 12px; transition: all .35s;}
#blog .view .details>.social a:hover{ transform: translateY(-3px);}
#blog .view .details>.content{ padding: 50px 0; font-size: 1.6rem; line-height: 2.8rem; color: #666;}
#blog .view .details>.content h1, #blog .view .details>.content h2,  #blog .view .details>.content h3, #blog .view .details>.content h4, #blog .view .details>.content h5,  #blog .view .details>.content h6{font-weight: bold;}
#blog .view .details>.content>p{margin-bottom: 15px;}
#blog .view .details>.content .table-container{position: relative;}
#blog .view .details>.content .table-container>.table-wrapper{ position: relative; overflow:hidden; overflow-x:auto;}
#blog .view .details>.content .table-container:after{ display: none; position: absolute;z-index: 10; left: 0; bottom: -30px; font-size: 1.1rem; color: #ccc; content: '拖动表格进行浏览';}
#blog .view .details>.content table{  box-sizing: border-box; width: 100%!important; min-width: 1200px; border: 1px solid #ddd;}
#blog .view .details>.content table td{border-right: 1px solid #ddd; border-bottom: 1px solid #ddd; color: #666; font-size: 1.6rem;padding:15px;}
#blog .view .details>.content img{max-width: 100%;height: auto;}
#blog .view .pageurl{  border-top:1px solid #eee;margin:0 auto; padding: 50px 0;}
#blog .view .pageurl>.layout{display: block;}
#blog .view .pageurl>.layout>.url{display: inline-flex; float: left; width: 50%;}
#blog .view .pageurl>.layout>.url>a{display: inline-flex; align-items: center; align-content: center; border: 1px solid #eee; border-radius: 12px; padding: 10px 25px; color: #666; transition: all .35s;}
#blog .view .pageurl>.layout>.url>a>i{display: inline-block; font-size: 2.4rem; color: #88cfff; margin-right: 6px;}
#blog .view .pageurl>.layout>.url>a>span{display: inline-block; font-size: 1.4rem;font-weight: bold;}
#blog .view .pageurl>.layout>.url>a:hover{border-color: #88cfff; color: #88cfff;}
#blog .view .pageurl>.layout>.social{display: inline-flex; float: right; align-content: center; align-items: center; width: 40%; justify-content: flex-end;}
#blog .view .pageurl>.layout>.social>i{display: inline-block; font-size: 2.4rem; color: #333;}
#blog .view .pageurl>.layout>.social>span{display: inline-block; padding: 0 5px;}
#blog .view .pageurl>.layout>.social .social-share .social-share-icon { background: none!important; color: #666; width: auto; height: auto; margin-left: 10px; transition: all .35s;}
#blog .view .pageurl>.layout>.social .social-share .social-share-icon:hover{color: #88cfff; transform: translateY(-3px);}


@media only screen and (max-width: 1460px){





}


@media only screen and (max-width: 1280px){

    #blog .lists>ul>li a>.box{ padding: 30px 0 0 100px;}
    #blog .lists>ul>li a>.box>.title{ font-size: 2.8rem;}


    #blog .view .details>.title{font-size: 3.2rem; line-height: 4rem;}


}


@media only screen and (max-width: 1080px){

    #blog .lists>ul>li a>.box{ padding: 30px 0 0 80px;}
    #blog .lists>ul>li a>.box>.title{ font-size:2.4rem; line-height: 2.8rem;}
    #blog .lists>ul>li a>.box>.text{ -webkit-line-clamp: 2;}


    #blog .lists>ul>li a>.box>.more{padding-top: 30px;}
    #blog .lists>ul>li a>.box>.more>p{ font-size: 1.4rem;}

}

@media only screen and (max-width: 860px){

    #blog .lists>ul>li a>.img:after{ font-size: 3rem;}
    #blog .lists>ul>li a>.box>.time{font-size: 1.3rem;}
    #blog .lists>ul>li a>.box>.title{ font-size: 2rem;}
    #blog .lists>ul>li a>.box>.text{display: none;}
    #blog .lists>ul>li a:hover .img:after{  font-size: 2.2rem;}

    #blog .view .details>.title{font-size: 3rem; }
    #blog .view .details>.summary>div { font-size: 1.4rem;}
    #blog .view .details>.content{ padding: 30px 0; font-size: 1.4rem; line-height: 2.4rem;}

    #blog .view .pageurl>.layout{display: block;}
    #blog .view .pageurl>.layout>.url{display: flex; float: none; width: 100%; justify-content: center; margin-top: 20px;}
    #blog .view .pageurl>.layout>.social{display: flex; float: none; width: 100%; justify-content: center;}


}



@media only screen and (max-width: 780px){

    #blog .lists>ul>li a>.img{width: 45%; }
    #blog .lists>ul>li a>.box{ width: 55%; padding: 10px 0 0 50px;}
    #blog .lists>ul>li a>.box>.title{ font-size: 1.8rem;}


    #blog .lists>ul>li a>.box>.more>p{ font-size: 1.2rem;}



}
@media only screen and (max-width: 640px){


    #blog{ padding: 50px 0;}

    #blog .lists>ul>li{ margin-bottom: 30px; }
    #blog .lists>ul>li a>.img{float: none; width: 100%;}
    #blog .lists>ul>li a>.box{float: none; width: 100%; padding: 20px 10px;}
    #blog .lists>ul>li a>.box>.more { padding-top: 10px;}
    #blog .lists>ul>li a>.box>.more>p{ padding: 6px 15px; font-size: 1.2rem;}



    #blog .view .details>.summary>div{ font-size: 1.2rem; margin: 0 6px;}
    #blog .view .details>.summary>div>i{font-size: 1.8rem;}
    #blog .view .details>.title {font-size: 2.4rem;line-height: 3rem;}
    #blog .view .details>.content {  padding: 30px 0;  font-size: 1.4rem;  line-height: 2rem; }




}


@media only screen and (max-width: 520px){




}





